Skip to Content

Agenda:

This blog will help you to plan the upgradation and resolve the issue after upgradation of Enterprise Portal.

Contents:

  • Pre checks before Upgrade.
  • Check Browser compatibility
  • Custom and Standard Applications
  • New Features applicable after upgrade
  • Post Activities to be performed after upgrade
  • Issues

Pre Checks before Upgrade:

Check the UDA tool. (Upgrade Dependence Analyzer) – Upgrade dependency analyzer is used to check the existence of upgrade dependencies between two separately installed SAP systems

http://service.sap.com/uda

Check for PAM (Product availability matrix)

http://service.sap.com/PAM

Check for the latest available support pack and patch versions for different Portal components.

Check for the NW 7.3 Master/Central SAP Note and known issue SAP Notes.

SAP Note: 1530174, 1407532

http://service.sap.com/notes


Check Browser compatibility: 

After upgradation of Portal some of the applications can not run on old browsers or can not support.

Kindly check the below notes for Browser Compatibility.

Browser Compatibility – Note 1793938, Note 1590563, Note 1785100, Note 1903267

Custom and Standard Applications: 

Check the custom applications and standard applications before upgrade whether they can support higher version of Portal.

New Features applicable after upgrade: 

    Enterprise Portal 7.4:

  • SAP NetWeaver 7.4 is optimized for SAP HANA
  • For mobile, SAP NetWeaver 7.4 offers technologies such as SAPUI5, SAP HANA Cloud, and SAP NetWeaver Gateway
  • Integration of SAPUI5 applications
  • UI Theme Designer Easy theming of the portal experience
  • Supports integration of SAPUI5-based applications via new iView template from the portal’s GPAL repository
  • Fully integrated with portal and workspaces via pre-configured iViews, SSO, universal worklist and search
  • It is support for fiori application and integration
  • We have fiori launchpad configuration so that we can display the applications as Tile format.

    Enterprise Portal 7.5:

  • SAP Enterprise Portal UX renovation according to SAP Fiori UX paradigm
  • S/4 HANA integration by supporting S/4 HANA content (analytical apps, factsheets)
  • Cloud Services integrated into SAP Enterprise Portal by SAP Web IDE deployment plugin, enabling developers to create and deploy Fiori-like apps to the Portal.
  • New Fiori SCA, allowing an easy and lean upgrade of Portal in the context of Fiori scenarios.
  • Embedding SAP UI5 applications into SAP Fiori launchpad, Enable tile personalization
  • SAP Web IDE Plug-In which enables to deploy an Web IDE application to the Portal
  • Administrators can configure a News iView to run as a news tile that displays article feeds to end users in the SAP Fiori launchpad.
  • End users can set the theme in the SAP Fiori launchpad.
  • Administrators can now configure iViews and pages to appear as links or tiles in the home page.
  • End users can now drag dynamic navigation popups to a new location.
  • Quick links are now supported in the Fiori Framework Page.


Post activities to be performed after upgrade: 

1. Check the SSO configuration, If it is not working then configure the SSO again
2. Check the Logon Page Branding and Masthead (If it is customized).
3. Framework page should be checked after upgrade.

Issues:

1. ESS services are displaying the blank page.

Description: URL iviews are not getting displayed in portal frame apart from displaying in external windows in IE11 browser.

Solution: Resolved by adding a parameter SAP-IE=EmulateIE8 under GUI Configuration in SICF for all ESS services which are displaying blank screen.

Note: 1700793

2. ESS service is displaying blank screen

Solution:  Resolved by Set the properties of “Fixed Height” to “500” and “Height Type” to “Fixed”.

3. Users in mock EP getting error when changing their initial password

Description: Users are unable to change their initial password as it showing error “WHITESPACES_NOT_ALLOWED”.

Solution:  Resolved by enabling the below properties under Security Policy in System Administration.

Ø Allow Users to Change Their Own Password

Ø Allow Logon ID as Part of Password

Ø Allow Old Password as Part of New Password

4. Getting error while accessing EP from Chrome Browser.

Description: While accessing the EP showing below error in Chrome Browser.

could not open iview. the iview is not compatible with your browser operating system or device. Contact your system administrator.

Solution:

Ø Downloaded the WAR file for portal 7.4 version

Ø Imported into NWDS

Ø Made the changes as per customized logon page

Ø Added the branding images to WAR file

Ø Changed the branding image, CSS file and context name in NWA.

5. Getting error in UWL as Exception Occurred  and unable to find work items.

Description: Work flows are not showing in UWL under MSS and throwing exception.

Solution:

Ø Open Destinations in NWA.

Ø Create RFC destination for <SystemObjectname>$WebflowConnector

6. URL iview is showing popup as Browser is not supported

Description:

Solution:

Ø Open the URL iview

Ø Add the URL iview parameter as “sap-ie=EmulateIE8”

7. Adobe Forms are not accessible in portal after upgrade.

Description: Adobe forms are not opening and showing blank page after portal upgrade to 7.4 version.

Solution: 

Ø Set the properties of “Fixed Height” to “500” and “Height Type” to “Fixed”

Ø Few forms shown “Page not found” error

Ø Set the iview path for resources in SPRO

Other helpful SAP Notes:

  • Add. info about the update/upgrade to SAP Net Weaver 7.4 – Note 1751237
  • SP Equivalence for update/upgrade to SAP NW 7.4 – Note 1850327
  • Equivalent ESS MSS Business Package – Note 1909625
  • Release Restrictions for SAP Net Weaver 7.4 – Note 1730102
  • SAP Business Suite for SAP NetWeaver 7.4 Hub-Systems – Note  1874939
  • 1503649 – SAP NetWeaver Portal 7.30 DCs and References

Warm Regards,
Vamshi Krishna

To report this post you need to login first.

1 Comment

You must be Logged on to comment or reply to a post.

  1. John Draper

    Nice summary Vamshi.

    Unfortunately the UDA tool doesn’t seem to have been kept up to data, so for example you can’t select Netweaver EP 7.5 as a target component 🙁

    Regards,
    John

    (0) 

Leave a Reply